### Struct

# GIRepository Typelib

since: 2.80

#### Description

    struct GITypelib {
      /* No available fields */
    }

`GITypelib` represents a loaded `.typelib` file, which contains a description of a single module’s API.

Available since: 2.80

#### Constructors

###### gi_typelib_new_from_bytes

Creates a new `GITypelib` from a `GBytes`.

since: 2.80

#### Instance methods

###### gi_typelib_get_namespace

Get the name of the namespace represented by `typelib`.

since: 2.80

###### gi_typelib_ref

Increment the reference count of a `GITypelib`.

since: 2.80

###### gi_typelib_symbol

Loads a symbol from a `GITypelib`.

since: 2.80

###### gi_typelib_unref

Decrement the reference count of a `GITypelib`.

since: 2.80